hpp-core: hpp::core::steeringMethod::Dubins Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::steeringMethod::Dubins Class Reference
Steering method and distance functions

`#include <hpp/core/steering-method/dubins.hh>`

Inheritance diagram for hpp::core::steeringMethod::Dubins:
[legend]
Collaboration diagram for hpp::core::steeringMethod::Dubins:
[legend]

## Public Member Functions
virtual SteeringMethodPtr_t | copy () const
| Copy instance and return shared pointer.
virtual PathPtr_t | impl_compute (ConfigurationIn_t q1, ConfigurationIn_t q2) const
| create a path between two configurations
Public Member Functions inherited from hpp::core::steeringMethod::CarLike
virtual | ~CarLike ()
void | setWheelJoints (const std::vector< JointPtr_t > wheels)
| Set the wheels.
void | turningRadius (const value_type &rho)
value_type | turningRadius () const
Public Member Functions inherited from hpp::core::SteeringMethod
PathPtr_t | operator() (ConfigurationIn_t q1, ConfigurationIn_t q2) const
PathPtr_t | steer (ConfigurationIn_t q1, ConfigurationIn_t q2) const
virtual | ~SteeringMethod ()
ProblemConstPtr_t | problem () const
void | constraints (const ConstraintSetPtr_t &constraints)
| Set constraint set.
const ConstraintSetPtr_t & | constraints () const
| Get constraint set.

## Static Public Member Functions
static DubinsPtr_t | createWithGuess (const ProblemConstPtr_t &problem)
static DubinsPtr_t | create (const ProblemConstPtr_t &problem, const value_type turningRadius, JointPtr_t xyJoint, JointPtr_t rzJoint, std::vector< JointPtr_t > wheels=std::vector< JointPtr_t >())
static DubinsPtr_t | createCopy (const DubinsPtr_t &other)
| Copy instance and return shared pointer.

## Protected Member Functions
| Dubins (const ProblemConstPtr_t &problem)
| Constructor.
| Dubins (const ProblemConstPtr_t &problem, const value_type turningRadius, JointPtr_t xyJoint, JointPtr_t rzJoint, std::vector< JointPtr_t > wheels)
| Constructor.
| Dubins (const Dubins &other)
| Copy constructor.
void | init (DubinsWkPtr_t weak)
| Store weak pointer to itself.
Protected Member Functions inherited from hpp::core::steeringMethod::CarLike
| CarLike (const ProblemConstPtr_t &problem)
| Constructor.
| CarLike (const ProblemConstPtr_t &problem, const value_type turningRadius, JointPtr_t xyJoint, JointPtr_t rzJoint, std::vector< JointPtr_t > wheels)
| Constructor.
| CarLike (const CarLike &other)
| Copy constructor.
void | init (CarLikeWkPtr_t weak)
| Store weak pointer to itself.
Protected Member Functions inherited from hpp::core::SteeringMethod
| SteeringMethod (const ProblemConstPtr_t &problem)
| Constructor.
| SteeringMethod (const SteeringMethod &other)
void | init (SteeringMethodWkPtr_t weak)
| Store weak pointer to itself.

## Additional Inherited Members
Protected Attributes inherited from hpp::core::steeringMethod::CarLike
DeviceWkPtr_t | device_
value_type | rho_
| Turning radius.
JointPtr_t | xy_
JointPtr_t | rz_
size_type | xyId_
size_type | rzId_
std::vector< JointPtr_t > | wheels_

## Detailed Description

Steering method that creates DubinsPath instances

## Constructor & Destructor Documentation

## ◆ Dubins() [1/3]

hpp::core::steeringMethod::Dubins::Dubins | ( | const ProblemConstPtr_t & | problem | ) |
| protected

Constructor.

## ◆ Dubins() [2/3]

hpp::core::steeringMethod::Dubins::Dubins | ( | const ProblemConstPtr_t & | problem,
|  | const value_type | turningRadius,
|  | JointPtr_t | xyJoint,
|  | JointPtr_t | rzJoint,
|  | std::vector< JointPtr_t > | wheels
| ) |  |
| protected

Constructor.

## ◆ Dubins() [3/3]

hpp::core::steeringMethod::Dubins::Dubins | ( | const Dubins & | other | ) |
| protected

Copy constructor.

## Member Function Documentation

## ◆ copy()

virtual SteeringMethodPtr_t hpp::core::steeringMethod::Dubins::copy | ( |  | ) | const
| inlinevirtual

Copy instance and return shared pointer.

Implements hpp::core::SteeringMethod.

## ◆ create()

static DubinsPtr_t hpp::core::steeringMethod::Dubins::create | ( | const ProblemConstPtr_t & | problem,
|  | const value_type | turningRadius,
|  | JointPtr_t | xyJoint,
|  | JointPtr_t | rzJoint,
|  | std::vector< JointPtr_t > | wheels = `std::vector<JointPtr_t>()`
| ) |  |
| inlinestatic

Create an instance

This constructor does no assumption.

## ◆ createCopy()

static DubinsPtr_t hpp::core::steeringMethod::Dubins::createCopy | ( | const DubinsPtr_t & | other | ) |
| inlinestatic

Copy instance and return shared pointer.

## ◆ createWithGuess()

static DubinsPtr_t hpp::core::steeringMethod::Dubins::createWithGuess | ( | const ProblemConstPtr_t & | problem | ) |
| inlinestatic

Create an instance

This constructor assumes that:

- the 2 parameters of the configurations corresponds to the XY translation joint,
- the 2 following parameters corresponds to the RZ unbounded rotation joint. Use CarLike::setWheelJoints to set the wheel joints.

## ◆ impl_compute()

virtual PathPtr_t hpp::core::steeringMethod::Dubins::impl_compute | ( | ConfigurationIn_t | q1,
|  | ConfigurationIn_t | q2
| ) |  | const
| virtual

create a path between two configurations

Implements hpp::core::SteeringMethod.

## ◆ init()

void hpp::core::steeringMethod::Dubins::init | ( | DubinsWkPtr_t | weak | ) |
| inlineprotected

Store weak pointer to itself.

The documentation for this class was generated from the following file:

- include/hpp/core/steering-method/dubins.hh